summaryrefslogtreecommitdiff
path: root/SCAN-RSS/baselines/cpu/run.sh
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-05-24 13:43:26 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-05-24 13:43:26 +0200
commitd39c7edd8af938250052f2d954c82135ec0b2884 (patch)
treec5264ab8c51236fb93a0ec6eeb5afa5b98f33e3d /SCAN-RSS/baselines/cpu/run.sh
parentf27c88aedeba2fe4927645ef916e3f60d8fb939b (diff)
SCAN-RSS baseline: add dfatool support
Diffstat (limited to 'SCAN-RSS/baselines/cpu/run.sh')
-rwxr-xr-xSCAN-RSS/baselines/cpu/run.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/SCAN-RSS/baselines/cpu/run.sh b/SCAN-RSS/baselines/cpu/run.sh
new file mode 100755
index 0000000..c2e80bc
--- /dev/null
+++ b/SCAN-RSS/baselines/cpu/run.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+echo "prim-benchmarks SCAN-RSS CPU/Thrust (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_threads in 1 2 4 6 8 12 16 20 24 32; do
+ for i in 2048 4096 8192 16384 65536 262144 1048576 3932160 15728640 31457280 262144000 1258291200 2516582400; do
+ for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
+ if make -B TYPE=${dt}; then
+ ./scan -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ fi
+ done
+ done
+done